attribute vec4 position;
attribute vec4 inputTextureColor;
attribute vec4 inputTextureCoordinate;

uniform mat4 mvpMatrix;
uniform mat4 textureTransform;
varying vec2 textureCoordinate;
varying vec4 textureColor;

void main()
{
    textureColor = inputTextureColor;
	textureCoordinate = (textureTransform * inputTextureCoordinate).xy;
	gl_Position = mvpMatrix * position;
}